> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Symbol & price

> Get symbol and price information (cash market).



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml get /tartarus/v1/tickerCommons
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /tartarus/v1/tickerCommons:
    get:
      summary: Symbol & price
      description: Get symbol and price information (cash market).
      parameters:
        - name: tickers
          in: query
          required: false
          description: >-
            Comma-separated list of stock symbols. Do not combine with the index
            param.
          schema:
            type: string
        - name: index
          in: query
          required: false
          description: >-
            Stock basket: 1 = HOSE, 2 = VN30, 3 = HNX, 4 = HNX30, 5 = UPCOM, 10
            = Midcap, 11 = VN100, 12 = VNAllShare, 13 = VNSmallCap, 14 =
            VNXAllShare, 15 = VN50, 16 = VNSI. Do not combine with the tickers
            param.
          schema:
            type: number
            format: double
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                    description: List of ticker information.
                  data[].symbol:
                    type: string
                    description: Stock symbol.
                  data[].ceilPrice:
                    type: number
                    format: double
                    description: Ceiling price.
                  data[].floorPrice:
                    type: number
                    format: double
                    description: Floor price.
                  data[].refPrice:
                    type: number
                    format: double
                    description: Reference price.
                  data[].bidPrice01:
                    type: number
                    format: double
                    description: Bid price 1.
                  data[].bidPrice02:
                    type: number
                    format: double
                    description: Bid price 2.
                  data[].bidPrice03:
                    type: number
                    format: double
                    description: Bid price 3.
                  data[].bidQtty01:
                    type: number
                    format: double
                    description: Bid volume 1.
                  data[].bidQtty02:
                    type: number
                    format: double
                    description: Bid volume 2.
                  data[].bidQtty03:
                    type: number
                    format: double
                    description: Bid volume 3.
                  data[].offerPrice01:
                    type: number
                    format: double
                    description: Offer price 1.
                  data[].offerPrice02:
                    type: number
                    format: double
                    description: Offer price 2.
                  data[].offerPrice03:
                    type: number
                    format: double
                    description: Offer price 3.
                  data[].offerQtty01:
                    type: number
                    format: double
                    description: Offer volume 1.
                  data[].offerQtty02:
                    type: number
                    format: double
                    description: Offer volume 2.
                  data[].offerQtty03:
                    type: number
                    format: double
                    description: Offer volume 3.
                  data[].matchPrice:
                    type: number
                    format: double
                    description: Matched price.
                  data[].matchQtty:
                    type: number
                    format: double
                    description: Matched volume.
                  data[].change:
                    type: number
                    format: double
                    description: Price change.
                  data[].changePercent:
                    type: number
                    format: double
                    description: Change percent.
                  data[].open:
                    type: number
                    format: double
                    description: Open price.
                  data[].high:
                    type: number
                    format: double
                    description: High price.
                  data[].low:
                    type: number
                    format: double
                    description: Low price.
                  data[].avg:
                    type: number
                    format: double
                    description: Average price.
                  data[].totalVol:
                    type: number
                    format: double
                    description: Total trading volume.
                  data[].totalVal:
                    type: number
                    format: double
                    description: Total trading value.
                  data[].buyForeignQtty:
                    type: number
                    format: double
                    description: Foreign buy volume.
                  data[].sellForeignQtty:
                    type: number
                    format: double
                    description: Foreign sell volume.
                  data[].room:
                    type: string
                    description: Foreign room.
                  data[].indexNumber:
                    type: number
                    format: double
                    description: Stock basket index.
                  tradingDate:
                    type: string
                    description: Trading date (dd/MM/yyyy).
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.